image: docker:17.06

stages:
  - build

docker-build:
  stage: build
  only:
    - tags
  tags:
    - kel-dev
  script:
    - export DOCKER_API_VERSION=1.23
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
    - docker build -t $CI_PROJECT_PATH .
    - docker tag $CI_PROJECT_PATH $CI_REGISTRY_IMAGE
    - docker tag $CI_PROJECT_PATH $CI_REGISTRY_IMAGE:$CI_BUILD_TAG
    - docker push $CI_REGISTRY_IMAGE
    - docker push $CI_REGISTRY_IMAGE:$CI_BUILD_TAG
    - docker rmi $CI_PROJECT_PATH
    - docker rmi $CI_REGISTRY_IMAGE
    - docker rmi $CI_REGISTRY_IMAGE:$CI_BUILD_TAG
